Subject: Re: [bitcoin-dev] Increased blockspace enabled by SegWit limited to just witness data?

From: [email-masked]
Date: Sun, 18 Feb 2018 14:04:57 -0500

> No rule has been “replaced”.

It really has been. The code is no longer checks the size of a block, but the weight of it. For all intents and purposes the block size limits has been replaced in favor of a block weight limit. It's just been designed such that the new rule is more restrictive than the one it replaces.

Now, I'm not doubting you can argue the semantics on the difference between "replacing with a more restrictive rule" and "leaving the existing rules, but adding a new one" -- but it's uninteresting and only serves to confuse novice's like CANNON into thinking that there are two rules/spaces/limits for transactions.

​-Ryan

​

-------- Original Message --------
 On February 18, 2018 1:39 PM, Eric Voskuil <[email-masked]> wrote:

>As a soft fork, all preceding rules remain in effect. No rule has been “replaced”. Blocks must validate against pre-segwit rules or are invalid. Additional rules are applied that further restrict validity, and consider additional (witness) data in the context of the block.
>
> e
>
>>On Feb 18, 2018, at 09:04, Ryan Havar via bitcoin-dev [email-masked] wrote:
>>No, you are misunderstanding. The block size limit (1MB) has been replaced in favor of a block weight limit (4M weight). Bytes which must be sent to old clients are weighted at 4 units each which is what allows it to be a soft fork.
>>So as such, there's not two separate limits or anything.
>>P.S. what's up with your signature lol
>>​-Ryan
>>​
>>-------- Original Message --------
>>>On February 18, 2018 11:26 AM, CANNON via bitcoin-dev [email-masked] wrote:
>>>-----BEGIN PGP SIGNED MESSAGE-----
>>> Hash: SHA512
>>>I have a question in reference to the increased blockspace enabled
>>> by the segregated witness upgrade. Is this extra blockspace beyond
>>> the legacy 1 MB limit limited to just witness data?
>>>Cannon
>>> PGP Fingerprint: 2BB5 15CD 66E7 4E28 45DC 6494 A5A2 2879 3F06 E832
>>> Email: [email-masked]
>>>NOTICE: ALL EMAIL CORRESPONDENCE NOT SIGNED/ENCRYPTED WITH PGP SHOULD
>>> BE CONSIDERED POTENTIALLY FORGED, AND NOT PRIVATE.
>>> -----BEGIN PGP SIGNATURE-----
>>>iQIcBAEBCgAGBQJaiajLAAoJEAYDai9lH2mwDbMQAKgJseZG9oOoP9WJlESFdAzm
>>> jLM69KLF4RVWDQjMWCtyVayyolXMLavW6fL4GL7/ztLYSl9Pz+FDlH3Qgo1GLDx4
>>> fRUkmb0ApLBSAjmdqM+kWjgq3s6/oZaIkNxGeyK5SYY4QhF80Z42PWLBPKjAc7vn
>>> pe7Im13NwtyJiRuCmq4e1z6GmW86fFOKOsR4rlWcftHOFmH8Gz5d9KK9LbPqU6Ca
>>> +rde8yb+A9uXEv3O9MqeLId7FYSJixgzFGJosidVkAVQI7YZ0TAfG4HSwKjtqDz7
>>> SW2Bs3nDeiCr2QN7Su9TUaoSN/yKTBOw5jnql9cNOYuf4GAG0MXWinmYP8MWCiqh
>>> bIrzvOnlZGapX/36Fpab67VDcFnXJJc8ofqYmn+oUoW/q7geQpu/V1oz+AR9nD/d
>>> n8wFxvZdRlTbq2XDXySaontxNH0rd80fSG5SJtO5Js9hK/vNG+Xa7Zc+76gEtvlF
>>> 5G1F6MOcsoXUDCnMteuNxaZx6TPML6RuWVmbR1wXOaX4qZ01p7AsjQlTIcrlVDsB
>>> LVGW70wjfETBCffn1JQvFmIK7NzggIUuYfLF0IrfM4BrTa/01RnmfBOpWGiIvyIG
>>> qZqKLYDbW7BDkc/HMtAonR/0t6bTUv/388USSnbMakO9bvih0xxIw4NWTyoSoef/
>>> I+W6ny7qXt+pegLF4cYL
>>> =YqEM
>>> -----END PGP SIGNATURE-----
>>>bitcoin-dev mailing list
>>>[email-masked]
>>>https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>>
>>bitcoin-dev mailing list
>>[email-masked]
>>https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
>